| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Attributes
com.symantec.sepm.webservice.policy.PolicyService.PolicyType Enum Reference

The policy types are used to specify the specific type of policy to import. More...

## Public Attributes
| ANTIVIRUS
| FIREWALL
| INTRUSION_PREVENTION
| INTRUSION_PREVENTION_SIGNATURES
| HOST_INTEGRITY
| APP_AND_DEVICE_CONTROL
| LIVEUPDATE
| LIVEUPDATE_CONTENT
| GLOBAL_EXCEPTIONS
| MANAGEMENT_SERVER_LIST

## Detailed Description

The policy types are used to specify the specific type of policy to import.

Policy names must be unique only within a given policy type. To request a policy to import, the caller must specify both the policy type and the policy name.

Policy types:

ANTIVIRUS (Virus and Spyware Protection policy)

FIREWALL (Firewall policy)

INTRUSION_PREVENTION (Intrusion Prevention policy) – includes browser protection and network protection.

INTRUSION_PREVENTION_SIGNATURES (Custom Intrusion Prevention Signatures) – (optional) list of custom signatures (defined by the user) that are handled by the Intrusion Prevention policy. Signatures can be allowed or blocked, and these actions can optionally be logged in the packet log. For more information about intrusion prevention signatures, see the Symantec Endpoint Protection documentation.

HOST_INTEGRITY (Host Integrity policy)

APP_AND_DEVICE_CONTROL (Application and Device Control policy)

LIVEUPDATE (LiveUpdate Settings policy) – controls parameters for server and client downloads of virus definitions and other Symantec content. Parameters include content source, frequency of checks for updates, proxy server settings, and whether product updates are included in downloads.

LIVEUPDATE_CONTENT (LiveUpdate Content policy) – controls the types of protection updates (security definitions and signatures) that are downloaded to the client.

GLOBAL_EXCEPTIONS (Exceptions policy) – (optional) lets the user specify exceptions to rules for scans and Tamper Protection.

MANAGEMENT_SERVER_LIST – policy component that specifies the list of management servers to which the Symantec Endpoint Protection client tries to connect.

Example: PolicySummaryInfo policy = policyService.getPolicySummaryInfo("My AV Policy", "ANTIVIRUS");

## Member Data Documentation

com.symantec.sepm.webservice.policy.PolicyService.PolicyType.ANTIVIRUS

com.symantec.sepm.webservice.policy.PolicyService.PolicyType.FIREWALL

com.symantec.sepm.webservice.policy.PolicyService.PolicyType.INTRUSION_PREVENTION

com.symantec.sepm.webservice.policy.PolicyService.PolicyType.INTRUSION_PREVENTION_SIGNATURES

com.symantec.sepm.webservice.policy.PolicyService.PolicyType.HOST_INTEGRITY

com.symantec.sepm.webservice.policy.PolicyService.PolicyType.APP_AND_DEVICE_CONTROL

com.symantec.sepm.webservice.policy.PolicyService.PolicyType.LIVEUPDATE

com.symantec.sepm.webservice.policy.PolicyService.PolicyType.LIVEUPDATE_CONTENT

com.symantec.sepm.webservice.policy.PolicyService.PolicyType.GLOBAL_EXCEPTIONS

com.symantec.sepm.webservice.policy.PolicyService.PolicyType.MANAGEMENT_SERVER_LIST